package request


type AlibabaTclsAxIntegrationAccountImportRequest struct {
    /*
        isv编码     */
    ClientId  *string `json:"client_id" required:"true" `
    /*
        手机号     */
    Mobile  *string `json:"mobile" required:"true" `
    /*
        邮箱     */
    Email  *string `json:"email" required:"true" `
    /*
        用户名     */
    Username  *string `json:"username" required:"true" `
}

func (s *AlibabaTclsAxIntegrationAccountImportRequest) SetClientId(v string) *AlibabaTclsAxIntegrationAccountImportRequest {
    s.ClientId = &v
    return s
}
func (s *AlibabaTclsAxIntegrationAccountImportRequest) SetMobile(v string) *AlibabaTclsAxIntegrationAccountImportRequest {
    s.Mobile = &v
    return s
}
func (s *AlibabaTclsAxIntegrationAccountImportRequest) SetEmail(v string) *AlibabaTclsAxIntegrationAccountImportRequest {
    s.Email = &v
    return s
}
func (s *AlibabaTclsAxIntegrationAccountImportRequest) SetUsername(v string) *AlibabaTclsAxIntegrationAccountImportRequest {
    s.Username = &v
    return s
}

func (req *AlibabaTclsAxIntegrationAccountImportRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.ClientId != nil) {
        paramMap["client_id"] = *req.ClientId
    }
    if(req.Mobile != nil) {
        paramMap["mobile"] = *req.Mobile
    }
    if(req.Email != nil) {
        paramMap["email"] = *req.Email
    }
    if(req.Username != nil) {
        paramMap["username"] = *req.Username
    }
    return paramMap
}

func (req *AlibabaTclsAxIntegrationAccountImportRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}